
# 1. State of the art, project management and documentation

## Research & Ideation

![describe what you see in this image](../images/week01/11168021.jpg){ width=400 }

For two years I have been looking for information on the story of my Polish grandfather Kazimierz Gaca, a cryptologist, he deciphered the messages sent by the Nazis during the Second World War thanks to the reproduction they made with a group of resistance fighters Polish, French, Spanish and English from the Enigma typewriter. They worked in parallel with Alan Turing's team in London. Their work is credited with inspiring what became the first computers. The history of most of these Poles has however been hidden and most of them died during this War.

The climate of wars in which we find ourselves today, between the occupation of Palestine and Ukraine, also led me to want to forge links with different places and stories of resistance.

In my plastic and performative work, I wanted to create an alphabet, which I hid in my fabrics woven on the Jacquard loom, also considered one of the ancestors of the computer and binary code. The alphabet is presented in the form of symbols which are thus transcribed into patterns, on the outer bands of the fabric.

How to give back a voice to our ancestors and draw inspiration from them to create our own form of resistance today.

I represent here a Norn, who is one of three witches, from Norse mythology, who weave fate. They were the weavers of peace.
Webs of Power comes from Starawk's book

The title of my project is "Webs of power: Weave Resistance", which comes from Starhawk's 1999 ecofeminist book, Webs of power: note from the Global Uprising.

![describe what you see in this image](../images/week01/9780865714564-uk.jpg){ width=400 align=left }
![describe what you see in this image](../images/week01/the_norns_by_froweminahild.jpg){ width=400 align=right }
![describe what you see in this image](../images/week01/Capture d’écran 2022-09-27 à 16.03.00.png){ width=400 align=left }
![describe what you see in this image](../images/week01/Capture d’écran 2022-09-27 à 16.03.20.png){ width=400 align=right }


## References & Inspiration

- Zeros and ones book from Saddie Plant	
- Enigma book book from Hugh Sebag-Montefiore
- Webs of power: note from the Global Uprising from Starhawk




![describe what you see in this image](../images/week01/zeros-plus-ones-digital-women-and-the-new-technoculture-sadie-plant-1997-cover-720x1118.jpg){ width=300 align=left }



<p style="clear: both;"></p>
<br/>


## Documentation workflow


-	Weaving
-	Manual / digital jacquard
-	Performance
-	Low tech / new age machine
-	Interview people weaving workshop 
-	Seek subsidies for video on artisans
-	Jacquard archive
-	Time Lyon time Bilbao



⇒	Find professional opportunities

⇒	Art project


Professional output:

-	Social collective loom project
-	Search French Institute grants in Spain and calls for projects


![describe what you see in this image](../images/week01/IMG_9885_copy.png)


